Page MenuHomePhabricator

Thumbor Swift authentication support for videos
Closed, ResolvedPublic

Description

Because the video loader has ffprobe/ffmpeg pointed directly at https URLs of objects stored in swift, it doesn't support authentication, which is required for files stored in temp folders.

Ideally we would auth into swift when dealing with temp URLs and pass the required cookies/headers to the ffprobe/ffmpeg commands.

Event Timeline

Gilles created this task.Feb 5 2018, 3:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2018, 3:13 PM
Gilles triaged this task as Low priority.Feb 5 2018, 3:13 PM
Gilles updated the task description. (Show Details)
Gilles raised the priority of this task from Low to High.Mar 13 2018, 9:08 AM
Gilles updated the task description. (Show Details)

Just realized that this affects private wikis. We hadn't hit it yet, given how little videos we have stored there, but still: https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.03.13/logback?id=AWIenanRXDoVG7yN2CRu&_g=()

Gilles renamed this task from Thumbor doesn't support thumbnailing temp video files to Thumbor Swift authentication support for videos.Mar 13 2018, 9:09 AM

Change 419172 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.16

https://gerrit.wikimedia.org/r/419172

Gilles moved this task from Backlog to Doing on the Thumbor board.Mar 14 2018, 10:23 AM

Change 419172 merged by Filippo Giunchedi:
[operations/debs/python-thumbor-wikimedia@master] Upgrade to 1.16

https://gerrit.wikimedia.org/r/419172

Mentioned in SAL (#wikimedia-operations) [2018-04-03T09:51:53Z] <godog> deploy thumbor 1.16 in codfw and eqiad - T186528 T179200 T189647 T191028

Gilles closed this task as Resolved.Apr 3 2018, 11:19 AM